Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
  • Статус работы сервисов
  • Marketplace
    • Популярные
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Облако для интеграторов
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Контент-программа
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex Compute Cloud
  • Yandex Container Solution
  • Управление доступом
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • ListOperations
        • ListInstances
  • Метрики Monitoring
  • Аудитные логи Audit Trails
  • История изменений
  • Обучающие курсы

В этой статье:

  • HTTP request
  • Body parameters
  • ResourcesSpec
  • GpuSettings
  • BootDiskSpec
  • ProductIDs
  • NetworkSettings
  • Response
  • Status
  1. Справочник API
  2. REST (англ.)
  3. ReservedInstancePool
  4. Create

Compute Cloud API, REST: ReservedInstancePool.Create

Статья создана
Yandex Cloud
Обновлена 1 июня 2026 г.
  • HTTP request
  • Body parameters
  • ResourcesSpec
  • GpuSettings
  • BootDiskSpec
  • ProductIDs
  • NetworkSettings
  • Response
  • Status

Creates an reserved instance pool in the specified folder.
Method starts an asynchronous operation that can be cancelled while it is in progress.

HTTP requestHTTP request

POST https://compute.api.cloud.yandex.net/compute/v1/reservedInstancePools

Body parametersBody parameters

{
  "name": "string",
  "description": "string",
  "labels": "object",
  "zoneId": "string",
  "folderId": "string",
  "platformId": "string",
  "resourcesSpec": {
    "memory": "string",
    "cores": "string",
    "coreFraction": "string",
    "gpus": "string"
  },
  "gpuSettings": {
    "gpuClusterId": "string"
  },
  "bootDiskSpec": {
    // Includes only one of the fields `diskId`, `imageId`, `snapshotId`, `productIds`
    "diskId": "string",
    "imageId": "string",
    "snapshotId": "string",
    "productIds": {
      "productIds": [
        "string"
      ]
    }
    // end of the list of possible fields
  },
  "networkSettings": {
    "type": "string"
  },
  "size": "string",
  "allowOversubscription": "boolean"
}

Field

Description

name

string

Name of the reserved instance pool.
The value must match the regular expression: |[a-z]([-_a-z0-9]{0,61}[a-z0-9])?.

description

string

Description of the reserved instance pool.
The length must be less than or equal to 256.

labels

object (map<string, string>)

Resource labels as key:value pairs.
Each map key must match the regular expression: [a-z][-_./\\@0-9a-z]*.
Each map value must match the regular expression: [-_./\\@0-9a-z]*.
The length of each map key must be between 1 and 63.
The length of each map value must be less than or equal to 63.
The number of elements must be less than or equal to 64.

zoneId

string

ID of the availability zone where the reserved instance pool resides.
To get a list of available zones, use the yandex.cloud.compute.v1.ZoneService.List request
The length must be less than or equal to 50.
This field is required.

folderId

string

ID of the folder to create the reserved instance pool in.
To get the folder ID, use a yandex.cloud.resourcemanager.v1.FolderService.List request.
The length must be less than or equal to 50.
This field is required.

platformId

string

ID of the hardware platform configuration for the reserved instance pool.
This field affects the available values in resourcesSpec field.
For more information, see Platforms.
This field is required.

resourcesSpec

ResourcesSpec

Computing resources of the reserved instance pool instances, such as the amount of memory and number of cores.
To get a list of available values, see Levels of core performance.
This field is required.

gpuSettings

GpuSettings

GPU settings.

bootDiskSpec

BootDiskSpec

Spec is used to determine which License IDs should be allowed for instances created in the pool.

networkSettings

NetworkSettings

Network settings.

size

string (int64)

Desired size of the pool (number of slots for instances in this pool).
The value must be between 0 and 1048576.

allowOversubscription

boolean

Allows the pool to contain more linked instances than the number of available slots (size without pending or unavailable slots).
While running instances are still limited by available slots, stopped instances can exceed this limit.
Warning: When this option is enabled, attempting to start more instances than the number of available slots will result in a "Not Enough Resources" error.

ResourcesSpecResourcesSpec

Field

Description

memory

string (int64)

The amount of memory available to the instance, specified in bytes.
The value must be less than or equal to 274877906944.
This field is required.

cores

string (int64)

The number of cores available to the instance.
The value must satisfy: 2,4,6,8,10,12,14,16,18,20,22,24,26,28,30,32,34,36,40,44,48,52,56,60,64,68,72,76,80.
This field is required.

coreFraction

string (int64)

Baseline level of CPU performance with the ability to burst performance above that baseline level.
This field sets baseline performance for each core.
For example, if you need only 5% of the CPU performance, you can set core_fraction=5.
For more information, see Levels of core performance.
The value must satisfy: 0,5,20,50,100.

gpus

string (int64)

The number of GPUs available to the instance.
The value must satisfy: 0,1,2,4.

GpuSettingsGpuSettings

Field

Description

gpuClusterId

string

Attach instance to specified GPU cluster.

BootDiskSpecBootDiskSpec

Specification used to determine required product_ids
You can specify product ids explicitly or use disk_id|image_id|snapshot_id to infer products ids from them.

Field

Description

diskId

string

Disk ID.

Includes only one of the fields diskId, imageId, snapshotId, productIds.

Only one field must by specified.

imageId

string

Image ID.

Includes only one of the fields diskId, imageId, snapshotId, productIds.

Only one field must by specified.

snapshotId

string

Snapshot ID.

Includes only one of the fields diskId, imageId, snapshotId, productIds.

Only one field must by specified.

productIds

ProductIDs

Product IDs.

Includes only one of the fields diskId, imageId, snapshotId, productIds.

Only one field must by specified.

ProductIDsProductIDs

Field

Description

productIds[]

string

License IDs that indicate which licenses are attached to resource.
License IDs are used to calculate additional charges for the use of the virtual machine.

NetworkSettingsNetworkSettings

Field

Description

type

enum (Type)

Network Type

  • STANDARD: Standard network.
  • SOFTWARE_ACCELERATED: Software accelerated network.
  • HARDWARE_ACCELERATED: Hardware accelerated network (not available yet, reserved for future use).

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "description": "string",
  "createdAt": "string",
  "createdBy": "string",
  "modifiedAt": "string",
  "done": "boolean",
  "metadata": "object",
  // Includes only one of the fields `error`, `response`
  "error": {
    "code": "integer",
    "message": "string",
    "details": [
      "object"
    ]
  },
  "response": "object"
  // end of the list of possible fields
}

An Operation resource. For more information, see Operation.

Field

Description

id

string

ID of the operation.

description

string

Description of the operation. 0-256 characters long.

createdAt

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

createdBy

string

ID of the user or service account who initiated the operation.

modifiedAt

string (date-time)

The time when the Operation resource was last modified.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

done

boolean

If the value is false, it means the operation is still in progress.
If true, the operation is completed, and either error or response is available.

metadata

object

Service-specific metadata associated with the operation.
It typically contains the ID of the target resource that the operation is performed on.
Any method that returns a long-running operation should document the metadata type, if any.

error

Status

The error result of the operation in case of failure or cancellation.

Includes only one of the fields error, response.

The operation result.
If done == false and there was no failure detected, neither error nor response is set.
If done == false and there was a failure detected, error is set.
If done == true, exactly one of error or response is set.

response

object

The normal response of the operation in case of success.
If the original method returns no data on success, such as Delete,
the response is google.protobuf.Empty.
If the original method is the standard Create/Update,
the response should be the target resource of the operation.
Any method that returns a long-running operation should document the response type, if any.

Includes only one of the fields error, response.

The operation result.
If done == false and there was no failure detected, neither error nor response is set.
If done == false and there was a failure detected, error is set.
If done == true, exactly one of error or response is set.

StatusStatus

The error result of the operation in case of failure or cancellation.

Field

Description

code

integer (int32)

Error code. An enum value of google.rpc.Code.

message

string

An error message.

details[]

object

A list of messages that carry the error details.

Была ли статья полезна?

Предыдущая
List
Следующая
Update
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»